
QGIS Application - Bug report #8276

crashes related to gdal ECW plugin
Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up-/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 17079

Description

When the gdal ECW plugin is installed, QGIS browser crashes on exit:

The instruction at "0x7c93729b" referenced memory at "0x0411810c". The memory could not be "read".

This is on Windows.  I don't see anything in debugview.

EDIT - as described below, QGIS desktop also crashes when the ECW and/or JP2-ECW drivers are disabled.

History

#1 - 2013-07-12 04:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

Are you referring to the browser standalone application or the browser tool in qgis desktop? I guess is the standalone application. If yes I can't replicate the

issue, on both Windows and Linux. Does it happens doing something specific?

#2 - 2013-07-12 05:54 PM - Alister Hood

Yes, the standalone browser.

No, not doing something specific - it happens when I just open it and then close it.

I know the similar issue with QGIS desktop didn't happen for everyone either :(  I'll play around and see if I can track down any settings or anything which

affect it.

#3 - 2013-07-12 05:54 PM - Alister Hood

BTW, this is on XP.

#4 - 2013-07-15 11:29 PM - Alister Hood

OK, the crash is somehow related to the gdal ecw plugin.

The browser (and QGIS as well) works fine with ECW files.  But there is no crash on exit if I disable it by removing this:

C:\\OSGeo4W\\bin\\gdalplugins\\1.9\\gdal_ECW_JP2ECW.dll

#5 - 2013-07-15 11:47 PM - Alister Hood
- Subject changed from Browser crashes on exit to Browser crashes on exit when ECW plugin enabled

#6 - 2013-07-15 11:53 PM - Alister Hood

Oh, there's one other issue with the ECW plugin - if I do setting>Options>GDAL and disable the ECW driver and/or the JP2ECW driver, QGIS crashes

then and/or at subsequent startup.

#7 - 2013-07-16 12:18 AM - Alister Hood

- Subject changed from Browser crashes on exit when ECW plugin enabled to crashes related to gdal ECW plugin

- Category changed from Browser to Data Provider

#8 - 2013-07-16 01:52 AM - Giovanni Manghi

Alister Hood wrote:

Oh, there's one other issue with the ECW plugin - if I do setting>Options>GDAL and disable the ECW driver and/or the JP2ECW driver, QGIS

crashes then and/or at subsequent startup.

How did you added the ECW support?

There are no issues here if I add the ecw support in what I believe is the "right" way, see

http://www.faunalia.pt/node/438

#9 - 2013-07-16 05:22 PM - Alister Hood

Ah, yes, there is no problem with the ECW 3.x version.

I don't think you can say that it is "right" and using the ECW 4.x SDK is "wrong".

But it looks like I installed it when there was a "gdal-ecw" package in osgeo4w (for which you needed to obtain the ecw libs from Erdas separately).  The

gdal-ecw plugin is now "obsolete" (the last version was 1.9.1, whereas gdal is now 1.9.2), so the problem could be that there is an incompatibility there,

rather than with the newer ECW libs - I guess we can't tell without building the 4.x SDK against gdal 1.9.2, but I don't know if that's worth doing as there

might be a gdal 1.10 package coming out...

This illustrates a problem with the osgeo4w installer - it should at least tell you that you have obsolete packages installed which may cause problems

unless you remove them.

#10 - 2013-07-17 04:18 AM - Giovanni Manghi

- Resolution set to up-/downstream

- Status changed from Feedback to Closed

This illustrates a problem with the osgeo4w installer - it should at least tell you that you have obsolete packages installed which may cause problems

unless you remove them.

Please file a ticket in the osgeo4w tracker. Cheers!
